#
# Generated by erpcgen 1.4.0 on Fri Jan 20 08:45:15 2017.
#
# AUTOGENERATED - DO NOT EDIT
#

import erpc
from . import common, interface

# Client for remote_control_app_1
class remote_control_app_1Service(erpc.server.Service):
    def __init__(self, handler):
        super(remote_control_app_1Service, self).__init__(interface.Iremote_control_app_1.SERVICE_ID)
        self._handler = handler
        self._methods = {
                interface.Iremote_control_app_1.BUTTON_PRESSED_ID: self._handle_button_pressed,
            }

    def _handle_button_pressed(self, sequence, codec):
        # Read incoming parameters.
        which = codec.read_uint32()
        codec.end_read_message()

        # Invoke user implementation of remote function.
        self._handler.button_pressed(which)


